/**************************************************************************
 *
 *  $Id: meinberg.h $
 *  $Name: $
 *  Copyright (c) Meinberg Funkuhren, Bad Pyrmont, Germany
 *
 *  Description:
 *    Example program to access radio clocks via LabWindows instrument driver
 *    to the kernel device driver.
 *
 *  Build environment settings:
 *    The meinberg driver need to be installed in version later then 2.09. 
 *
 * -----------------------------------------------------------------------
 *  $Log: meinberg.h $
 *
 **************************************************************************/
#include <mbgdevio.h>  
#include <gpsutils.h>
#include <pcpsutil.h>

#define MINS               0x01
#define MINS_PER_HOUR      60
#define SECS_PER_HOUR	   60

#define MBG_STR_SIZE 100

/**************************************************************************/
int mbg_print_device_name 		(MBG_DEV_HANDLE, PCPS_DEV*, int, char*);
int mbg_print_driver_info 		(MBG_DEV_HANDLE, char*);

int mbg_print_time        		(MBG_DEV_HANDLE, char*);
int mbg_print_hr_time     		(MBG_DEV_HANDLE, char*);
int mbg_print_sync_time   		(MBG_DEV_HANDLE, char*);
int mbg_print_status      		(MBG_DEV_HANDLE, char*, char*);

int mbg_print_gps_pos     		(MBG_DEV_HANDLE, char*);
int mbg_print_gps_sv_info     	(MBG_DEV_HANDLE, char*);    
int mbg_print_gps_ant_cable_len (MBG_DEV_HANDLE, char*);

int mbg_print_antenna_status	(MBG_DEV_HANDLE, char*);   
int mbg_print_antenna_field 	(MBG_DEV_HANDLE, char*);       

int mbg_print_irig_status   	(MBG_DEV_HANDLE, char*);
int mbg_print_irig_signal   	(MBG_DEV_HANDLE, char*);

int mbg_print_time_cycles (MBG_DEV_HANDLE, PCPS_DEV*, char*);

char* str_time_short_from_offs(char*, int, int);
int   get_ref_offs_from_string(const char*, int);
/**************************************************************************/
